models/Categorias.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "categorias".
 *
 * @property int $id
 * @property string|null $foto
 * @property string|null $nombre
 * @property string|null $descripcion
 */
class Categorias extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'categorias';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['foto', 'nombre', 'descripcion'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'foto' => 'Foto',
            'nombre' => 'Nombre',
            'descripcion' => 'Descripcion',
        ];
    }
}

models/Productos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "productos".
 *
 * @property int $id
 * @property string|null $nombre
 * @property string|null $foto
 * @property string|null $descripcion
 * @property float|null $precio
 * @property int|null $oferta
 */
class Productos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'productos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['precio'], 'number'],
            [['oferta'], 'integer'],
            [['nombre', 'foto'], 'string', 'max' => 20],
            [['descripcion'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'foto' => 'Foto',
            'descripcion' => 'Descripcion',
            'precio' => 'Precio',
            'oferta' => 'Oferta',
        ];
    }
}

models/User.php
<?php

namespace app\models;

class User extends \yii\base\BaseObject implements \yii\web\IdentityInterface
{
    public $id;
    public $username;
    public $password;
    public $authKey;
    public $accessToken;

    private static $users = [
        '100' => [
            'id' => '100',
            'username' => 'admin',
            'password' => 'admin',
            'authKey' => 'test100key',
            'accessToken' => '100-token',
        ],
        '101' => [
            'id' => '101',
            'username' => 'demo',
            'password' => 'demo',
            'authKey' => 'test101key',
            'accessToken' => '101-token',
        ],
    ];


    /**
     * {@inheritdoc}
     */
    public static function findIdentity($id)
    {
        return isset(self::$users[$id]) ? new static(self::$users[$id]) : null;
    }

    /**
     * {@inheritdoc}
     */
    public static function findIdentityByAccessToken($token, $type = null)
    {
        foreach (self::$users as $user) {
            if ($user['accessToken'] === $token) {
                return new static($user);
            }
        }

        return null;
    }

    /**
     * Finds user by username
     *
     * @param string $username
     * @return static|null
     */
    public static function findByUsername($username)
    {
        foreach (self::$users as $user) {
            if (strcasecmp($user['username'], $username) === 0) {
                return new static($user);
            }
        }

        return null;
    }

    /**
     * {@inheritdoc}
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * {@inheritdoc}
     */
    public function getAuthKey()
    {
        return $this->authKey;
    }

    /**
     * {@inheritdoc}
     */
    public function validateAuthKey($authKey)
    {
        return $this->authKey === $authKey;
    }

    /**
     * Validates password
     *
     * @param string $password password to validate
     * @return bool if password provided is valid for current user
     */
    public function validatePassword($password)
    {
        return $this->password === $password;
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Productos;
use app\models\Categorias;
use yii\data\ActiveDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionInicio()
    {
        return $this->render('index');
    }

    public function actionOfertas()
    {
        $o= Productos::find()
                ->where(['oferta'=> True])
                ->all();
        
        return $this->render('ofertas',[
            "datos"=>$o,
        ]);
    }
   
    public function actionProductos()
    {
        $p= Productos::find()
                ->all();
        
        return $this->render('productos',[
            "datos"=>$p,
        ]);
    }
    
    public function actionCategorias()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Categorias::find(),
        ]);
        
        return $this->render('categorias',[
            'dataProvider' => $dataProvider,
        ]);
    }
    
    public function actionEstamos()
    {
        return $this->render('estamos');
    }
    
    public function actionSomos()
    {
        return $this->render('somos');
    }
    
    public function actionInformacion()
    {
        return $this->render('informacion');
    }
    
    public function actionContacto()
    {
        return $this->render('contacto');
    }
    
    public function actionDetalle($id){
        
        return $this->render("detalle",[
            "model"=>Categorias::find()->where(["id"=>$id])->one()
        ]);
    }
    
    
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'encodeLabels'=>false,
        'items' => [
            ['label' => '<i class="glyphicon glyphicon-home"></i> Inicio', 'url' => ['/site/inicio']], 
            ['label' => '<i class="glyphicon glyphicon-ok"></i> Ofertas', 'url' => ['/site/ofertas']],
            ['label' => '<i class="glyphicon glyphicon-gift"></i> Productos', 'url' => ['/site/productos']],
            ['label' => '<i class="glyphicon glyphicon-certificate"></i> Categorias', 'url' => ['/site/categorias']],
            ['label' => '<i class="glyphicon glyphicon-info-sign"></i> Nosotros',  
                'items' => [
                    ['label' => 'Donde Estamos', 'url' => ['site/estamos']],
                    ['label' => 'Quienes Somos', 'url' => ['site/somos']],
                    ['label' => 'Nuestros productos', 'url' => ['site/productos']],
                     '<li class="divider"></li>',
                    ['label' => 'Informacion', 'url' => ['site/informacion']]                    
                ]],
            ['label' => '<i class="glyphicon glyphicon-list-alt"></i> Contacto', 'url' => ['/site/contacto']],
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left"></p>

        <p class="pull-right"></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/_productos.php
<div class="col-sm-12 col-md-6 p-2 bg-primary">
    <div class="thumbnail">
        <div>
            <img src="<?= Yii::getAlias("@web") ."/imgs/" . $foto; ?>" 
                 class="center-block img-responsive">
        </div>
        <div class="caption">
            <h3><?= $nombre; ?></h3>
            <p><?= $descripcion; ?></p>
            <p><?= $precio; ?> €</p>
        </div>
    </div>
</div>

views/site/categorias.php
<?php
    use yii\grid\GridView;
    use yii\helpers\Html;
?>


<?= GridView::widget([
    'dataProvider' => $dataProvider,
    'columns' => [
        ['class' => 'yii\grid\SerialColumn'],
        'id',
        [            
            'label' => 'Foto',
            'format' => 'raw',
            'value' => function($data){
                
                $url = \Yii::getAlias("@web/imgs/") . $data->foto;
                /*return Html::img($url , ['width' => '150px']);*/
                return Html::a(Html::img($url , ['width' => '150px']), ["site/detalle","id"=>$data->id]);
            },            
        ] ,
        'nombre',
        [
            'label' => 'Descripcion',
            'value' => function ($data){
                return substr($data->descripcion, 0, 5);
            }
        ]  
    ],
]);
?>

views/site/contacto.php
Aqui va el contacto

views/site/detalle.php
<?php
use yii\helpers\Html;
use yii\widgets\DetailView;


echo DetailView::widget([
    'model' => $model,
    'attributes' => [
        'id',
        'nombre',
        [
            'label' => 'Foto',
            'format' => 'html',
            'value' => function($model){
                
                $url = \Yii::getAlias("@web/imgs/") . $model->foto;
                return Html::img($url , ['width' => '150px','alt' => 'categoria']);
                
            },            
            
            $model->foto,
        ],
        'descripcion'
    ],
]);

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/estamos.php
Aqui va donde estamos

views/site/index.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'Inicio - La Jota';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>¡Bienvenidos!</h1>

        <p class="lead">Ahora disfruta 24h de tu tienda online favorita.</p>

       
    </div>

    <div class="body-content">

        <div class="row">
            <?= 
                    Html::img("@web/imgs/tienda.png",[
                        "class" => "img-responsive img-circle center-block",
                        "alt" => "foto tienda"
                    ]);
            ?>           
        </div>
        <br>
        <div class="container">
        <div class="text-justify center-block">
            <p>Reina en mi espíritu una alegría admirable, muy parecida a las dulces alboradas de la primavera, de que gozo aquí con delicia. 
            Estoy solo, y me felicito de vivir en este país, el más a propósito para almas como la mía, soy tan dichoso, mi querido amigo, 
            me sojuzga de tal modo la idea de reposar, que no me ocupo de mi arte. Ahora no sabría dibujar, ni siquiera hacer una línea con el lápiz; 
            y, sin embargo, jamás he sido mejor pintor Cuando el valle se vela en torno mío con un encaje de vapores; 
            cuando el sol de mediodía centellea sobre la impenetrable sombra de mi bosque sin conseguir otra cosa que filtrar entre las hojas algunos rayos 
            que penetran hasta el fondo del santuario, cuando recostado sobre la crecida hierba, cerca de la cascada, mi vista, más próxima a la tierra, 
            descubre multitud de menudas y diversas plantas; cuando siento más cerca de mi corazón los rumores de vida de ese pequeño mundo que
            palpita en los tallos de las hojas, y veo las formas innumerables e infinitas de los gusanillos y de los insectos; cuando siento, 
            en fin, la presencia del Todopoderoso, que nos ha creado</p>
            
        </div>
        </div>
        </div>

    </div>
</div>

views/site/informacion.php
Aqui va la informacion

views/site/ofertas.php
<div class="container">
    <div class="row row-flex row-flex-wrap">
        <?php
            $div='<div class="clearfix"></div>';
            foreach ($datos as $k=>$producto ){
                echo $this->render("_productos",[
                    "nombre"=>$producto->nombre,           
                    "descripcion"=>$producto->descripcion,
                    "precio"=>$producto->precio,
                    "foto"=>$producto->foto,
                    "reset"=>((($k+1)%3)==0 && $k!=0)?$div:"",
                ]);
            }
        ?>
    </div>
</div>

views/site/productos.php
<div class="container">
    <div class="row row-flex row-flex-wrap">
        <?php
            $div='<div class="clearfix"></div>';
            foreach ($datos as $k=>$producto ){
                echo $this->render("_productos",[
                    "nombre"=>$producto->nombre,           
                    "descripcion"=>$producto->descripcion,
                    "precio"=>$producto->precio,
                    "foto"=>$producto->foto,
                    "reset"=>((($k+1)%3)==0 && $k!=0)?$div:"",
                ]);
            }
        ?>
    </div>
    
</div>

views/site/somos.php
Aqui va quienes somos